module dmd.DefaultInitExp;

import dmd.Expression;
import dmd.OutBuffer;
import dmd.Loc;
import dmd.Scope;
import dmd.HdrGenState;
import dmd.TOK;
import dmd.Token;

class DefaultInitExp : Expression
{
	TOK subop;

	this(Loc loc, TOK subop, int size)
	{
		super(loc, subop, size);
		this.subop = subop;
	}

	abstract Expression resolve(Loc loc, Scope sc);

	void toCBuffer(OutBuffer buf, HdrGenState* hgs)
	{
		buf.writestring(Token.toChars(subop));
	}
}

