module dmd.ThisDeclaration;

import dmd.VarDeclaration;
import dmd.Dsymbol;
import dmd.Loc;
import dmd.Type;
import dmd.Id;

// For the "this" parameter to member functions

class ThisDeclaration : VarDeclaration
{
    this(Loc loc, Type t)
	{
		super(loc, t, Id.This, null);
		noauto = true;
	}
	
    Dsymbol syntaxCopy(Dsymbol)
	{
		assert(false);
	}
	
    ThisDeclaration isThisDeclaration() { return this; }
}